%define name emacs-tramp
%define version 2.1.2
%define release 4mdk
Epoch: 1

%{expand:%%define emacs_version %(rpm -q emacs|sed 's/emacs-\([0-9].*\)-.*$/\1/')}
%{expand:%%define xemacs_version %(rpm -q xemacs|sed 's/xemacs-\([0-9].*\)-.*$/\1/')}

Summary: Transparent Remote (file) Access, Multiple Protocol
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://savannah.nongnu.org/download/tramp/tramp-2.1.2.tar.bz2
URL: http://www.nongnu.org/tramp/
License: GPL
Group: Editors
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: emacs-bin make texinfo xemacs
BuildRequires: emacs-el, xemacs-packages
BuildArch: noarch
Requires: emacs = %{emacs_version}

%package -n xemacs-tramp
Summary: Transparent Remote (file) Access, Multiple Protocol
License: GPL
Group: Networking/News
Requires: xemacs = %{xemacs_version}, xemacs-packages

%description
TRAMP stands for `Transparent Remote (file) Access, Multiple Protocol'. This
package provides remote file editing, similar to ange-ftp and EFS.

The difference is that ange-ftp uses FTP to transfer files between the local 
and the remote host, whereas TRAMP uses a combination of rsh and rcp or other
work-alike programs, such as ssh/scp.

%description -n xemacs-tramp
TRAMP stands for `Transparent Remote (file) Access, Multiple Protocol'. This
package provides remote file editing, similar to ange-ftp and EFS.

The difference is that ange-ftp uses FTP to transfer files between the local
and the remote host, whereas TRAMP uses a combination of rsh and rcp or other
work-alike programs, such as ssh/scp.

%prep
%setup -n tramp-%{version} -q

rm -rf ../tramp
mkdir ../tramp
mv * ../tramp
mv ../tramp build-emacs
cp -a build-emacs build-xemacs

%build

for i in emacs xemacs; do
  cd build-$i
  %configure --with-$i --with-contrib
  %make
  cd ..
done

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_infodir}

for i in emacs xemacs; do
  cd build-$i
  %makeinstall
  cd ..
done

# not putting info page which must be different for emacs and xemacs
rm -rf $RPM_BUILD_ROOT%{_infodir}

install -d $RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d
for i in emacs xemacs; do
    echo "(require 'tramp)" >$RPM_BUILD_ROOT%{_sysconfdir}/emacs/site-start.d/$i-tramp.el
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc build-emacs/texi/tramp-emacs.html
%{_datadir}/emacs/site-lisp/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/emacs-*

%files -n xemacs-tramp
%defattr(-,root,root)
%doc build-xemacs/texi/tramp-xemacs.html
%{_datadir}/xemacs/site-packages/*
%config(noreplace) %{_sysconfdir}/emacs/site-start.d/xemacs-*

%changelog
* Thu Oct  6 2005 Pixel <pixel@mandriva.com> 2.1.2-4mdk
- rebuild for new xemacs

* Tue Aug 23 2005 Pixel <pixel@mandriva.com> 2.1.2-3mdk
- don't have the same site-start.d file in both emacs-tramp and xemacs-tramp,
  it should not conflict, but it still can on upgrade (if we changed tramp.el content)

* Fri Apr 29 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.1.2-2mdk
- rebuild for new emacs

* Tue Nov  9 2004 Pixel <pixel@mandrakesoft.com> 2.1.2-1mdk
- new release
- remove now unneeded patch to force ssh
- new versioning scheme (and use an Epoch)
- cleanup build (ensuring emacs and xemacs versions don't mess each other)
- not putting info page which must be different for emacs and xemacs
  (since the syntax for using tramp is different) (bugzilla #11408)
- xemacs-tramp needs package "timer" which is an fsf-compat lib provided by xemacs-packages

* Mon Oct 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 20020411-10mdk
- fix build

* Thu Sep 11 2003 Warly <warly@mandrakesoft.com> 20020411-9mdk
- rebuild against xemacs 21.4.14

* Wed Aug  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 20020411-8mdk
- Rebuild for latest xemacs

* Thu May 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020411-7mdk
- rebuild for latest emacs

* Thu Feb 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020411-6mdk
- fix url (Axel R.)

* Thu Feb 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020411-5mdk
- rebuild for latest xemacs

* Tue Jan 21 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020411-4mdk
- rebuild for latest emacs

* Mon Oct 28 2002 Pixel <pixel@mandrakesoft.com> 20020411-3mdk
- rebuild against latest emacs

* Wed Sep  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 20020411-2mdk
- Rebuild against latest xemacs

* Thu Jun 27 2002 Pixel <pixel@mandrakesoft.com> 20020411-1mdk
- new release

* Tue Apr  9 2002 Frederic Lepied <flepied@mandrakesoft.com> 20020122-4mdk
- recompiled for emacs-20.2

* Tue Mar 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 20020122-3mdk
- build release

* Sun Feb 17 2002 Stefan van der Eijk <stefan@eijk.nu> 20020122-2mdk
- BuildRequires

* Sat Feb  2 2002 Pixel <pixel@mandrakesoft.com> 20020122-1mdk
- new version

* Mon Oct 22 2001 Pixel <pixel@mandrakesoft.com> 20011010-2mdk
- build for new emacs

* Wed Oct 17 2001 Pixel <pixel@mandrakesoft.com> 20011010-1mdk
- new version
- s/Copyright/License/

* Thu Sep 13 2001 Pixel <pixel@mandrakesoft.com> 20010615-4mdk
- /etc/xemacs/site-start.d not there/needed anymore

* Thu Sep  6 2001 Pixel <pixel@mandrakesoft.com> 20010615-3mdk
- fix rights on doc

* Mon Sep  3 2001 Pixel <pixel@mandrakesoft.com> 20010615-2mdk
- rebuild for new xemacs

* Mon Jun 18 2001 Pixel <pixel@mandrakesoft.com> 20010615-1mdk
- new version

* Thu Mar 22 2001 Pixel <pixel@mandrakesoft.com> 20001101-6mdk
- rebuild for new xemacs

* Tue Dec 12 2000 Pixel <pixel@mandrakesoft.com> 20001101-5mdk
- compile for both emacs and xemacs

* Mon Dec 11 2000 Pixel <pixel@mandrakesoft.com> 20001101-4mdk
- the build really is texinfo (vincysuk ;p)

* Mon Dec 11 2000 Vincent Saugey <vince@mandrakesoft.com> 20001101-3mdk
- add build requires (tetex)

* Mon Nov 27 2000 Pixel <pixel@mandrakesoft.com> 20001101-2mdk
- add BuildRequires 

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 20001101-1mdk
- new version

* Tue Nov  7 2000 Pixel <pixel@mandrakesoft.com> 20000606-4mdk
- fix summary

* Thu Aug 31 2000 Pixel <pixel@mandrakesoft.com> 20000606-3mdk
- add %%config

* Tue Aug 22 2000 Pixel <pixel@mandrakesoft.com> 20000606-2mdk
- use %{_sysconfdir}/emacs/site-start.d

* Thu Aug  3 2000 Pixel <pixel@mandrakesoft.com> 20000606-1mdk
- first version

# end of file
